Subject: I-D Action: draft-ietf-regext-rdap-reverse-search-09.txt

From: [email-masked]
Date: Thu, 10 Feb 2022 01:48:05 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Registration Protocols Extensions WG of the IETF.

        Title           : Registration Data Access Protocol (RDAP) Reverse search capabilities
        Authors         : Mario Loffredo
                          Maurizio Martinelli
	Filename        : draft-ietf-regext-rdap-reverse-search-09.txt
	Pages           : 12
	Date            : 2022-02-10

Abstract:
   The Registration Data Access Protocol (RDAP) does not include query
   capabilities to find the list of domains related to a set of entities
   matching a given search pattern.  In the RDAP context, an entity can
   be associated with any defined object class.  Moreover, other
   relationships between object classes exist and might be used for
   providing a reverse search capability.  Therefore, a reverse search
   can be applied to other use cases than the classic domain-entity
   scenario.  This document describes RDAP query extensions that allow
   servers to provide a reverse search feature based on the relationship
   defined in RDAP between an object class for search and any related
   object class.  The reverse search based on the domain-entity
   relationship is treated as a particular case but with a special focus
   on its privacy implications.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-regext-rdap-reverse-search/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-ietf-regext-rdap-reverse-search-09

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-regext-rdap-reverse-search-09

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts